#!/usr/bin/env python3
# -*- coding: utf-8 -*-

### Toutes les "constantes" de config importés pour ce qui concerne les courbes

# fichiers

chemin_oms = "data_OMS/"

f_poids_perc_garcon = chemin_oms+"wfa_boys_p_exp.txt"
f_poids_perc_fille = chemin_oms+"wfa_girls_p_exp.txt"
f_poids_z_garcon = chemin_oms+"wfa_boys_z_exp.txt"
f_poids_z_fille = chemin_oms+"wfa_girls_z_exp.txt"
f_poids_z_mixte = chemin_oms+"wfa_mix_z_exp.txt"
f_poids_perc_mixte = chemin_oms+"wfa_mix_p_exp.txt"

# Pour les courbes percentiles
liste_data_choisie_p = [(5,1),(7,5),(8,10),(10,25),(11,50),(12,75), (14,90),
              (15,95),(17,99)]
liste_data_choisie_p.sort(reverse=True)

# pour le sigma : (colonne,sigma)
liste_data_choisie_z = [(2,-3),(3,-2),(4,-1),(5,0),(6,1),(7,2),(8,3)]
liste_data_choisie_z.sort(reverse=True)

liste_unites_valides = ["jours", "semaines", "mois", "années"]

# nombre de jours dans autre chose
jours_dans_mois = 30.4375
jours_dans_annee = 365.25
jours_dans_semaine = 7


## Maxi et mini de "sécurité"
# jours maxi
jours_maxi_courbe = 6.2*jours_dans_annee
# poids max (protection)
poids_maxi = 80
# taille max du nom
longueur_max_nom_bebe = 100


### Taille du graphique par défaut (pouces, en 80 points par pouce)
largeur_graphique = 10
hauteur_graphique = 7

#largeurs et hauteurs min et max
largeur_graphique_max = 40
largeur_graphique_min = 2

hauteur_graphique_max = 40
hauteur_graphique_min = 2

# Nombre de lignes par défaut dans le formulaire
nombre_lignes_form = 5

# couleurs par défaut
couleur_defaut_1 = "#0000FF" # bleu
couleur_defaut_2 = "#00FF00" # vert
couleur_defaut_3 = "#FF0000" # rouge
couleur_defaut_1_tuple = (0,0,1)
couleur_defaut_2_tuple = (0,1,0)
couleur_defaut_3_tuple = (1,0,0)

# couleurs par défaut fond
couleur_defaut_fond = "#FFFFFF"
couleur_defaut_fond_tuple = (1,1,1)
couleur_defaut_cadretxt = "#000000"
couleur_defaut_cadretxt_tuple = (0,0,0)
couleur_defaut_grille = "#7f7f7f"
couleur_defaut_grille_tuple = (0.5,0.5,0.5)

#couleur_defaut_erreur = (0,0,0) # noir


# initialiser la config
def config_init():
    return {"largeur": largeur_graphique, 
            "hauteur": hauteur_graphique, 
            "nb_data":nombre_lignes_form,
            "age_0": "0j",
            "legende": "oui",
            "positionlegende": "hg",
            "couleur1": couleur_defaut_1,
            "couleur2": couleur_defaut_2,
            "couleur3": couleur_defaut_3,
            "couleur_fond": couleur_defaut_fond,
            "couleur_grille": couleur_defaut_grille,
            "couleur_cadretxt": couleur_defaut_cadretxt
            }
    
    
